Generate access token
Get an access token to authenticate API requests. If you’re unfamiliar with the authentication process, check out the authentication guide for more details.
POST
/
as
/
token.oauth2
Generate access token
curl --request POST \
--url https://api.auth.gbgplc.com/as/token.oauth2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'client_id=<string>' \
--data 'client_secret=<string>' \
--data 'username=<string>' \
--data 'password=<string>' \
--data grant_type=passwordimport requests
url = "https://api.auth.gbgplc.com/as/token.oauth2"
payload = {
"client_id": "<string>",
"client_secret": "<string>",
"username": "<string>",
"password": "<string>",
"grant_type": "password"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
client_id: '<string>',
client_secret: '<string>',
username: '<string>',
password: '<string>',
grant_type: 'password'
})
};
fetch('https://api.auth.gbgplc.com/as/token.oauth2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "<string>",
"expires_in": 123,
"token_type": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
The client ID assigned to your organization.
The client secret assigned to your organization.
The username for API authentication.
The password for API authentication.
Must always be set to 'password'.
Available options:
password Was this page helpful?
⌘I
Generate access token
